﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>

    <script type="text/javascript">
        var timer = null;
        var interval = 1000;
        var olMap = null;
        var OnMapCreated = function(map){
            olMap = map;
            map.events.register('mousemove', map, function(evt){
                if(timer != null){
                    $get('tooltipDiv').style.display = 'none';
                    window.clearTimeout(timer);
                    timer = null;
                }
                
                var clickInfo = {};
                var extent = this.getExtent();
                clickInfo.x = evt.xy.x;
                clickInfo.y = evt.xy.y;
                clickInfo.l = extent.left;
                clickInfo.t = extent.top;
                clickInfo.r = extent.right;
                clickInfo.b = extent.bottom;
                clickInfo.clientX = evt.clientX;
                clickInfo.clientY = evt.clientY;
                
                var timerHandler = Function.createDelegate(clickInfo, function(){
                    var args = Sys.Serialization.JavaScriptSerializer.serialize(clickInfo);
                    var context = $get('tooltipDiv');
                    context.style.left = clickInfo.clientX;
                    context.style.top = clickInfo.clientY + 2;
                    <%=ClientScript.GetCallbackEventReference(this, "args", "showTooltip", "context")%>;
                });
                
                var showTooltip = function(result, context){
                     context.innerText = result;
                     context.style.display = 'block';
                }
                
                timer = window.setTimeout(timerHandler, interval);
            });
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
        <div id="tooltipDiv" style="position:absolute; width:100px; height:20px; background-color:#ffffe7; border:solid 1px #cccccc; text-align:center; font-size:10px; font-family:Verdana; line-height:20px;"></div>
    </div>
    </form>
</body>
</html>
